# Vault Proto Config

The `VaultProtoConfig` stores the common configuration for a set of vaults such as fee information, the drip granularity, and the admin that can deploy new vaults using this config.&#x20;

```rust
pub struct VaultProtoConfig {
    pub granularity: u64, // 8
    // spread applied to each drip trigger in bps
    pub token_a_drip_trigger_spread: u16, // 2
    // spread applied to each withdrawal in bps
    pub token_b_withdrawal_spread: u16, // 2
    // spread applied to each withdrawal in bps
    pub token_b_referral_spread: u16, //2
    // to be used with the vault to modify certain fields (whitelist)
    pub admin: Pubkey, //32
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dcaf.so/products/drip/programming-model/vault-proto-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
